<template>
  <section id="mxv-footer" class="full-width q-pb-lg">
    <div class="row">
      <div class="mxv-footer" />
    </div>

    <div class="container row">
      <div class="text-center col-12 col-xs-6 col-sm-4">
        <h6 class="q-mb-sm">{{ footerLinks.links.title }}</h6>
        <ul class="list-unstyled text-small">
          <li>
            <router-link tag="a" :to="{ name: 'info', hash: '#' + link.link }" v-for="link in footerLinks.links.links" :key="link.text">
            {{ link.text }}
          </router-link>
          </li>
        </ul>
      </div>
      <div class="text-center col-12 col-xs-6 col-sm-4">
        <h6 class="q-mb-sm">{{ footerLinks.resources.title }}</h6>
        <ul class="list-unstyled text-small">
          <li>
            <router-link tag="a" :to="{ name: 'info', hash: '#' + link.link }" class="text-caption" v-for="link in footerLinks.resources.links" :key="link.text">
            {{ link.text }}
          </router-link>
          </li>
        </ul>
      </div>
      <div class="text-center col-12 col-xs-6 col-sm-4">
        <h6 class="q-mb-sm">{{ footerLinks.about.title }}</h6>
        <ul class="list-unstyled text-small">
          <li class="text-caption text-bold" v-for="link in footerLinks.about.links" :key="link.text">
            {{ link.text }}
          </li>
        </ul>
      </div>
    </div>

  </section>
</template>

<script>
  import DATA from '@/i18n/ca-es/homePage'

  export default {
    name: "Footer",
    computed: {
      footerLinks() {
        return DATA.footer
      }
    },
  }
</script>

<style scoped lang="stylus">
  .mxv-footer
    background-image url(/img/cooperate_masies_x_viure.jpg)
    background-position center center
    background-size cover
    height 250px
    width 100%

  h6
    color: $brown
  .list-unstyled
    padding-left 0px
    li, a
      display block
      font-size 0.90em
      text-decoration none
</style>
